Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class MapGetterInvocationHandler

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.GetterInvocationHandler
          com.sun.appserv.management.j2ee.statistics.MapGetterInvocationHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler, java.io.Serializable

Direct Known Subclasses:
  StatsImpl

public class MapGetterInvocationHandler
extends GetterInvocationHandler
implements java.io.Serializable

Implements getXXX() based on a Map whose keys are the XXX part of the getXXX() method name. Serializable so that it may be used to return a result remotely.
Internal use only

See Also:
  Serialized Form

Constructor Summary
`MapGetterInvocationHandler(java.util.Map map)` Create a new instance using the Map, which is not copied.

Method Summary
`protected boolean` | `containsValue(java.lang.String name)`
`boolean` | `equals(java.lang.Object rhs)`
`protected java.util.Map` | `getMap()`
`protected java.lang.Object` | `getValue(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.appserv.management.j2ee.statistics.GetterInvocationHandler
`invoke`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapGetterInvocationHandler

    public MapGetterInvocationHandler(java.util.Map map)

  Create a new instance using the Map, which is not copied.

Method Detail

### getMap

    protected java.util.Map getMap()

### getValue

    protected java.lang.Object getValue(java.lang.String name)

  Specified by:
    `getValue` in class `GetterInvocationHandler`

### containsValue

    protected boolean containsValue(java.lang.String name)

  Specified by:
    `containsValue` in class `GetterInvocationHandler`

### equals

    public boolean equals(java.lang.Object rhs)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.